# Uses of Record Class
org.apache.sling.mcp.server.contribs.log.LogSnapshot

Packages that use LogSnapshot
Package
Description
org.apache.sling.mcp.server.contribs.log
org.apache.sling.mcp.server.impl.contribs.log

## Uses of LogSnapshot in org.apache.sling.mcp.server.contribs.log

Methods in org.apache.sling.mcp.server.contribs.log that return types with arguments of type LogSnapshot
Modifier and Type
Method
Description
`List<LogSnapshot>`
StructuredLogBuffer.`getRecent(Pattern pattern, String minLevel, int maxEntries)`

## Uses of LogSnapshot in org.apache.sling.mcp.server.impl.contribs.log

Methods in org.apache.sling.mcp.server.impl.contribs.log that return types with arguments of type LogSnapshot
Modifier and Type
Method
Description
`List<LogSnapshot>`
StructuredLogBufferImpl.`getRecent(Pattern pattern, String minLevel, int maxEntries)`
Methods in org.apache.sling.mcp.server.impl.contribs.log with parameters of type LogSnapshot
Modifier and Type
Method
Description
`void`
StructuredLogBufferImpl.`append(LogSnapshot snapshot)`